Bug 660399 - [RFE] Permit 'Delete' operation for Managed Entry Config entries
Summary: [RFE] Permit 'Delete' operation for Managed Entry Config entries
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: 389
Classification: Retired
Component: Database - General
Version: 1.2.7
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
Assignee: Nathan Kinder
QA Contact: Chandrasekar Kannan
URL:
Whiteboard:
Depends On:
Blocks: 512820 690319 768091
TreeView+ depends on / blocked
 
Reported: 2010-12-06 18:11 UTC by Jr Aquino
Modified: 2015-01-04 23:45 UTC (History)
3 users (show)

Fixed In Version: 389-ds-base-1.2.10.a7
Doc Type: Bug Fix
Doc Text:
Clone Of:
: 768091 (view as bug list)
Environment:
Last Closed: 2012-02-07 16:14:42 UTC


Attachments (Terms of Use)

Description Jr Aquino 2010-12-06 18:11:48 UTC
Description of problem:
Cannot delete a Managed Entry Config after it has been inserted into the directory.


How reproducible:
Add a new Managed Entry Config, or attempt to delete an existing one. 
e.g.  "cn=UPG Definition,cn=Managed Entries,cn=plugins,cn=config"

Steps to Reproduce:
1. Create ldif
2. Run ldapdelete against ldif
3. Error 53 Returned
  
Actual results:
ldap_delete: Server is unwilling to perform (53)
	additional info: Not a valid operation. 

Expected results:
Delete object

Additional info:

Comment 4 Martin Kosek 2012-01-04 13:29:20 UTC
Upstream ticket:
https://fedorahosted.org/389/ticket/71

Comment 5 Rich Megginson 2012-02-07 16:14:42 UTC
Fixed in version 1.2.10.a7


Note You need to log in before you can comment on or make changes to this bug.